package cn.iocoder.yudao.module.system.enums.robot.task;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum RobotCommandTypeEnum {
    MOVE_POSES("MOVE_POSES","移动"),
    SWITCH_MAP("SWITCH_MAP","切图"),
    WORK_START_CHARGE("WORK_START_CHARGE","充电"),
    WORK_PICK_UP_GOODS("WORK_PICK_UP_GOODS","取货"),
    WORK_DROP_OFF_GOODS("WORK_DROP_OFF_GOODS","放货"),
    MOVE_POSE("MOVE_POSE","仿真移动点位"),
    MODE("MODE","远遥/RCS模式切换"),
    PAUSE("PAUSE","急停车辆"),
    CONTINUE("CONTINUE","恢复车辆");
    /**
     * 类型
     */
    private final String type;

    private final String msg;

}
